%kmdl ltmodem

Summary: A modem driver for Lucent/Agere Winmodems.
Name: ltmodem
Version: 8.31a10
Release: 12%{?dist}
License: GPL
Group: System Environment/Kernel
URL: http://ltmodem.heby.de/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%kmdl_parentdependencies

%description
This package contains a Linux driver and documentation for so called
Winmodems with Lucent Apollo (ISA) and Mars (PCI) chipsets. Lucent AMR
modems are not supported by this driver. The core communications code
of these kits is the property of Agere Systems, Inc. (formerly known
as Microelectronics Group of Lucent Technologies). The driver was
developed and is maintained by Soumyendu Sarkar at Agere Systems, the
open source parts were modified by Mark Spieth, Marvin Stodolsky and
Christoph Hebeisen to implement some additional features.

%package -n %kmdl_name
%kmdl_dependencies
Summary: A modem driver for Lucent/Agere Winmodems.
Group: System Environment/Kernel

%description -n %kmdl_name
%kmdl_desc

%prep
%setup -q
tar -zpxf source.tar.gz
if grep 'atomic_t count;' %{kmdl_kernelsrcdir}/include/linux/tty.h > /dev/null; then
  perl -pi -e's,tty->count,atomic_read(&tty->count),g' source/serial-lt-2.4.c
fi
grep -rl '#include <linux/config.h>' . | xargs perl -pi -e's,#include <linux/config.h>,#include <linux/autoconf.h>,'
grep -rl 'linux/config.h' . | xargs perl -pi -e's,linux/config.h,linux/autoconf.h,'

%build

%if %{kmdl_userland}
%else

%kmdl_config
cd source
%configure --with-force=yes --with-kernel=%{kmdl_kernelsrcdir}
make
cd ..

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/char
install -p source/lt_modem.*o source/lt_serial.*o %{buildroot}%{kmdl_moduledir}/drivers/char/

%endif

%clean
rm -rf %{buildroot}

%post
ln -sf /dev/ltmodem /dev/modem

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc 1ST-READ source/CHANGELOG DOCs source/UPDATES-BUGS utils

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/drivers
%{kmdl_moduledir}/drivers/char
%attr(-,root,uucp) %dev(c,62,64) /dev/ltmodem

%endif

%changelog
* Sun Jan 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.31a10.

* Sat Sep 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.31a8.

* Tue Sep 23 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


